---
title: List applications
slug: cms-13/api/list-applications
docTags: 
createdAt: 2026-08-28T15:24:16.532Z
---

{
  "id": "MXd3GfQVlUNxjGx72_vZW",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/_cms/v1/applications",
    "servers": [
      {
        "url": "/_cms/v1/applications",
        "description": "Optimizely CMS API"
      }
    ],
    "name": "List applications",
    "description": "List all applications available in the CMS.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "pageIndex",
          "type": "integer<int32>",
          "description": "Zero based index of the page that should be retrieved.",
          "format": "int32",
          "minimum": 0,
          "maximum": 10000
        },
        {
          "kind": "optional",
          "name": "pageSize",
          "type": "integer<int32>",
          "description": "The maximum items per page that should be retrieved.",
          "format": "int32",
          "minimum": 1,
          "maximum": 10000
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiAuth",
          "name": "apiAuth",
          "kind": "optional",
          "type": "oauth2",
          "description": "Use this scheme to generate an access token that can be used to access the API.",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "/_cms/v1/oauth/token",
              "scopes": {
                "api:admin": "Grants full administrative access to the API"
              }
            }
          },
          "requiredScopes": [
            "api:admin"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Represents a single page of items in a paged collection, including paging metadata such as the current page index, page size, and an estimated total item count.</p>",
            "customType": "ApplicationPage",
            "schema": [
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "readOnly": true,
                "description": "The items in this paged collection.",
                "modelRef": "#/components/schemas/Application",
                "customType": "Application[]",
                "schema": [
                  {
                    "name": "key",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>The unique identifier (key) of the resource.</p>",
                    "minLength": 2,
                    "maxLength": 255,
                    "pattern": "^[A-Za-z][_0-9A-Za-z]+$"
                  },
                  {
                    "name": "displayName",
                    "kind": "required",
                    "type": "string",
                    "description": "The display name of this Application.",
                    "minLength": 1,
                    "maxLength": 255
                  },
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "object",
                    "description": "Represents the type of an Application.",
                    "modelRef": "#/components/schemas/ApplicationType",
                    "customType": "ApplicationType",
                    "schema": []
                  },
                  {
                    "name": "source",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "description": "A string that is used to indicate the source of this Application."
                  },
                  {
                    "name": "entryPoint",
                    "kind": "required",
                    "type": "string<uri>",
                    "description": "<p>A reference to the entry point (start page) content for this application.</p>",
                    "format": "uri"
                  },
                  {
                    "name": "isDefault",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Whether this is the default application."
                  },
                  {
                    "name": "useApplicationSpecificAssets",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Whether this application uses a dedicated assets folder."
                  },
                  {
                    "name": "assetsRoot",
                    "kind": "optional",
                    "type": "string<uri>",
                    "readOnly": true,
                    "nullable": true,
                    "description": "<p>Returns the root for application-specific assets, if UseApplicationSpecificAssets is true.</p>",
                    "format": "uri"
                  },
                  {
                    "name": "hosts",
                    "kind": "optional",
                    "type": "array",
                    "description": "The hosts assigned to this application.",
                    "modelRef": "#/components/schemas/ApplicationHost",
                    "customType": "ApplicationHost[]",
                    "schema": [
                      {
                        "name": "authority",
                        "kind": "required",
                        "type": "string",
                        "description": "The DNS host name or IP address and optional port of this host.",
                        "minLength": 1,
                        "maxLength": 255
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "object",
                        "description": "Represents the type of an ApplicationHost.",
                        "modelRef": "#/components/schemas/ApplicationHostType",
                        "customType": "ApplicationHostType",
                        "schema": []
                      },
                      {
                        "name": "locale",
                        "kind": "optional",
                        "type": "string",
                        "description": "The locale associated with this host."
                      },
                      {
                        "name": "preferredUrlScheme",
                        "kind": "optional",
                        "type": "object",
                        "description": "Specifies the preferred URL scheme to be used when accessing a host.",
                        "modelRef": "#/components/schemas/UrlScheme",
                        "customType": "UrlScheme",
                        "schema": []
                      }
                    ]
                  },
                  {
                    "name": "usePreviewTokens",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Whether to use preview tokens for this application. Only applicable when the type is 'website'."
                  },
                  {
                    "name": "previewUrlFormats",
                    "kind": "optional",
                    "type": "map",
                    "description": "A dictionary of preview URL formats keyed by content type base or content type key. Only applicable when the type is 'website'.",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "readOnly": true,
                    "description": "A timestamp indicating when this resource was first created.",
                    "format": "date-time"
                  },
                  {
                    "name": "createdBy",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "description": "The name of the user or application that created this resource."
                  },
                  {
                    "name": "lastModified",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "readOnly": true,
                    "description": "Indicates the last time this resource was modified.",
                    "format": "date-time"
                  },
                  {
                    "name": "lastModifiedBy",
                    "kind": "optional",
                    "type": "string",
                    "readOnly": true,
                    "description": "The name of the user or application that last modified this resource."
                  }
                ]
              },
              {
                "name": "pageIndex",
                "kind": "optional",
                "type": "integer<int32>",
                "readOnly": true,
                "description": "<p>The zero-based index of the current page.</p>",
                "format": "int32"
              },
              {
                "name": "pageSize",
                "kind": "optional",
                "type": "integer<int32>",
                "readOnly": true,
                "description": "The number of items in each page. Not necessarily the same as the number of items in this page.",
                "format": "int32"
              },
              {
                "name": "totalCount",
                "kind": "optional",
                "type": "integer<int32>",
                "readOnly": true,
                "nullable": true,
                "description": "The estimated total number of items in the collection. May be omitted if the total count is unknown.",
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/ApplicationPage",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal Server Error",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "p3FDVRzVTOPIVLPhuvpNX",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /_cms/v1/applications \\\n     --header 'accept: application/json'"
        },
        {
          "id": "p7vB87VTs0gk1eO50c-rE",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/_cms/v1/applications\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "SbHjz0koSyVFE6fSjaOnL",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/_cms/v1/applications\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "eVtVUpOkz8ZbLmTV5Oxbb",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/_cms/v1/applications\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "p3FDVRzVTOPIVLPhuvpNX"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"items\": [\n    {\n      \"key\": \"\",\n      \"displayName\": \"\",\n      \"type\": {},\n      \"source\": \"\",\n      \"entryPoint\": \"\",\n      \"isDefault\": false,\n      \"useApplicationSpecificAssets\": false,\n      \"assetsRoot\": \"\",\n      \"hosts\": [\n        {\n          \"authority\": \"\",\n          \"type\": {},\n          \"locale\": \"\",\n          \"preferredUrlScheme\": {}\n        }\n      ],\n      \"usePreviewTokens\": false,\n      \"previewUrlFormats\": \"\",\n      \"created\": \"\",\n      \"createdBy\": \"\",\n      \"lastModified\": \"\",\n      \"lastModifiedBy\": \"\"\n    }\n  ],\n  \"pageIndex\": \"\",\n  \"pageSize\": \"\",\n  \"totalCount\": \"\"\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-500",
          "language": "500",
          "code": "// Internal Server Error\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}